### 4.17.1 poly declarations

Syntax:
  `poly` name `=` poly_expression `;`

Purpose:
  defines a polynomial.

Default:
  0

Example:

        ring r = 32003,(x,y,z),dp;
        poly s1  = x3y2+151x5y+186xy6+169y9;
        poly s2  = 1*x^2*y^2*z^2+3z8;
        poly s3  = 5/4x4y2+4/5*x*y^5+2x2y2z3+y7+11x10;
        int a,b,c,t=37,5,4,1;
        poly f=3*x^a+x*y^(b+c)+t*x^a*y^b*z^c;
        f;
      ==> x37y5z4+3x37+xy9
        short = 0;
        f;
      ==> x^37*y^5*z^4+3*x^37+x*y^9

short

User manual for Singular version 4.4.1, 2025, generated by texi2html.